import request from '@/utils/request'

export function fetchShopRelevanceList(params) {
  return request({
    url: '/user/shopLabel/shopRelevanceList',
    method: 'get',
    params
  })
}
export function fetchShopLabelShopList(params) {
  return request({
    url: '/user/shopLabel/shopList',
    method: 'get',
    params
  })
}
export function importShopRelevance(params) {
  return request({
    url: '/user/shopLabel/insertShopRelevance',
    method: 'get',
    params
  })
}
export function fetchDelShopById(params) {
  return request({
    url: '/user/shopLabel/delShopById',
    method: 'get',
    params
  })
}
export function fetchShopLabelList(params) {
  return request({
    url: '/user/shopLabel/shopLabelList',
    method: 'get',
    params
  })
}
export function fetchLabelList(params) {
  return request({
    url: '/user/shopLabel/labelList',
    method: 'get',
    params
  })
}
export function relevanceInsertLabel(params) {
  return request({
    url: '/user/shopLabel/insertLabel',
    method: 'get',
    params
  })
}
export function delShopLabelList(params) {
  return request({
    url: '/user/shopLabel/delShopLabelList',
    method: 'get',
    params
  })
}
export function addInsertSearch(params) {
  return request({
    url: '/user/shopLabel/insertSearch',
    method: 'get',
    params
  })
}
export function searchBehaviorList(params) {
  return request({
    url: '/user/behavior/searchList',
    method: 'get',
    params
  })
}
